Subject: Re: g++ and c++17 filesystem
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Wed, 18 Nov 2020 23:23:23 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2020-11-18 17:08, Doug Henderson via Cygwin wrote:
> On Wed, 18 Nov 2020 at 13:50, Kristian Ivarsson wrote:
>> The only purpose CYGWIN have is to make/build posix-applications runnable 
>> on Windows and applications usually have user defined input, such as paths 
>> etc, and on Windows that input is usually Windows-native-paths unless you
>> educate operators/users to enter paths with /cygdrive/...

> <rant>
> I use CYGWIN to work around a stupid design decision made by a small
> time OS developer more than 40 years ago, and inherited by an OS that
> did not even have directories in its first release.
> </rant>

Actually, most of those design decisions were made in the 1950s-1960s by 
scientific then mainframe OS designers in multiprocessing then multiuser 
environments, and the short sighted decisions were made to get things working 
quickly by people without much design or systems background (BGIII^Wcough!) in 
some of the smaller minicomputer then microcomputer adaptations, which were 
often frankly PoS hacks, and triumphs of salesmanship over competency. ;^>

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple